package com.javacodegeeks.examples.corejava;

import java.util.StringTokenizer;

/**
 * @author Kevin Yang
 *
 */
public class StringTokenizerExample {
    /**
     * @param args
     */
    public static void main(String[] args) {
        String string1 = "It is cool to be a Java code geek!";
        System.out.printf("1. Breaks \"%s\" by space\n", string1);

        // constructs a string tokenizer with default delimiters
        StringTokenizer tokenizer = new StringTokenizer(string1);
        // loop in order to take all tokens
        while (tokenizer.hasMoreTokens()) {
            // returns a string
            System.out.println(tokenizer.nextToken());
        }

        String string2 = "Java,C++,Basic,Python,Perl";
        System.out.printf("2. Breaks \"%s\" by comma\n", string2);
        tokenizer = new StringTokenizer(string2, ",");
        System.out.println("The stokenizer includes " + tokenizer.countTokens() + " tokens.");
        while (tokenizer.hasMoreElements()) {
            // returns an object
            Object element = (String) tokenizer.nextElement();
            System.out.println(element.toString());
        }
        
        System.out.printf("3. Breaks \"%s\" by comma with delimiter returned\n", string2);
        tokenizer = new StringTokenizer(string2, ",", true);
        System.out.println("The stokenizer includes " + tokenizer.countTokens() + " tokens.");
        while (tokenizer.hasMoreElements()) {
            // returns an object
            Object element = (String) tokenizer.nextElement();
            System.out.println(element.toString());
        }
    }
}
